use rhai::plugin::*;

#[derive(Debug, Clone, Eq, PartialEq, Hash)]
pub enum Anchor {
	Center,
	NorthWest,
	SouthWest,
	NorthEast,
	SouthEast,
}

#[export_module]
#[allow(non_upper_case_globals)]
pub mod anchor_mod {
	pub const Center: Anchor = Anchor::Center;
	pub const NorthWest: Anchor = Anchor::NorthWest;
	pub const NorthEast: Anchor = Anchor::NorthEast;
	pub const SouthWest: Anchor = Anchor::SouthWest;
	pub const SouthEast: Anchor = Anchor::SouthEast;
}
